package assertions;

/**
	The class of exception thrown when a postcondition fails.

	Copyright (C) 1999 by James MacKay
*/
public class PostconditionFailedException extends AssertionFailedException
{
	/**
		Default constructor.
	*/
	public PostconditionFailedException()
	{
		super();
	}

	/**
		Constructs an exception from theMessage describing why it was thrown.
	*/
	public PostconditionFailedException(String theMessage)
	{
		super(theMessage);
	}

}	// class PostconditionFailedException
