package assertions;

/**
	The class of exception thrown when a precondition fails.

	Copyright (C) 1999 by James MacKay
*/
public class PreconditionFailedException extends AssertionFailedException
{
	/**
		Default constructor.
	*/
	public PreconditionFailedException()
	{
		super();
	}

	/**
		Constructs an exception from theMessage describing why it was thrown.
	*/
	public PreconditionFailedException(String theMessage)
	{
		super(theMessage);
	}

}	// class PreconditionFailedException
